searchNodes=[{"type":"module","title":"DataTracer","doc":"Facilitates debugging by holding data traces of interesting data. Is a GenServer so it can own an ets table to store the data in.","ref":"DataTracer.html"},{"type":"function","title":"DataTracer.all/0","doc":"Retrieve all entries that have been stored Options: :table - The ETS table to read from (optional, only needed if the table name was customized when the DataTracer was started)","ref":"DataTracer.html#all/0"},{"type":"function","title":"DataTracer.all/1","doc":"See DataTracer.Server.all/1 .","ref":"DataTracer.html#all/1"},{"type":"function","title":"DataTracer.clear/0","doc":"Clear the DataTracer see clear/1 for details","ref":"DataTracer.html#clear/0"},{"type":"function","title":"DataTracer.clear/1","doc":"Clear the DataTracer Options: :tracer - The DataTracer instance to store the value in. Defaults to Elixir.DataTracer.","ref":"DataTracer.html#clear/1"},{"type":"function","title":"DataTracer.last/0","doc":"Retrieve the last entry that was stored See last/1 for options","ref":"DataTracer.html#last/0"},{"type":"function","title":"DataTracer.last/1","doc":"See DataTracer.Server.last/1 .","ref":"DataTracer.html#last/1"},{"type":"function","title":"DataTracer.lookup/1","doc":"Retrieve all values that have been stored under the key in the DataTracer Returns the values in desc order by timestamp. This means that the first value returned is the last value that was stored for the given key. Use nil as the key to retrieve values that were stored without a specific key. Options: :table - The ETS table to read from (optional, only needed if the table name was customized when the DataTracer was started)","ref":"DataTracer.html#lookup/1"},{"type":"function","title":"DataTracer.lookup/2","doc":"See DataTracer.Server.lookup/2 .","ref":"DataTracer.html#lookup/2"},{"type":"function","title":"DataTracer.store/1","doc":"Store the given value in the DataTracer see store/2 for details","ref":"DataTracer.html#store/1"},{"type":"function","title":"DataTracer.store/2","doc":"Store the given value in the DataTracer Options: :key - The key that the value is stored under. Defaults to nil :time - The timestamp to associate with the value (primarily used for sorting). Defaults to the current time. :tracer - The DataTracer instance to store the value in. Defaults to Elixir.DataTracer.","ref":"DataTracer.html#store/2"},{"type":"function","title":"DataTracer.store_uniq/1","doc":"Store the given value in the DataTracer uniquely The first instance of the found value is replaced with the new value See store_uniq/2 for options","ref":"DataTracer.html#store_uniq/1"},{"type":"function","title":"DataTracer.store_uniq/2","doc":"Options: :key - The key that the value is stored under. Defaults to nil :time - The timestamp to associate with the value (primarily used for sorting). Defaults to the current time. :tracer - The DataTracer instance to store the value in. Defaults to Elixir.DataTracer.","ref":"DataTracer.html#store_uniq/2"},{"type":"module","title":"DataTracer.Server","doc":"Reads and writes the traced data to ETS Data format {key, timestamp, value}","ref":"DataTracer.Server.html"},{"type":"function","title":"DataTracer.Server.all/1","doc":"","ref":"DataTracer.Server.html#all/1"},{"type":"function","title":"DataTracer.Server.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"DataTracer.Server.html#child_spec/1"},{"type":"function","title":"DataTracer.Server.clear/2","doc":"","ref":"DataTracer.Server.html#clear/2"},{"type":"function","title":"DataTracer.Server.last/1","doc":"","ref":"DataTracer.Server.html#last/1"},{"type":"function","title":"DataTracer.Server.lookup/2","doc":"","ref":"DataTracer.Server.html#lookup/2"},{"type":"function","title":"DataTracer.Server.start_link/2","doc":"Options: :table - The ETS table to use for writing (optional)","ref":"DataTracer.Server.html#start_link/2"},{"type":"function","title":"DataTracer.Server.store/2","doc":"","ref":"DataTracer.Server.html#store/2"},{"type":"function","title":"DataTracer.Server.store_uniq/2","doc":"","ref":"DataTracer.Server.html#store_uniq/2"},{"type":"module","title":"DataTracer.Server.State","doc":"","ref":"DataTracer.Server.State.html"},{"type":"module","title":"DataTracer.SupervisorUtils","doc":"","ref":"DataTracer.SupervisorUtils.html"},{"type":"function","title":"DataTracer.SupervisorUtils.find_supervisors/2","doc":"Find the chain of parent superivors for a given process Example return value: {:ok, [#PID&lt;0.275.0&gt;, #PID&lt;0.276.0&gt;, #PID&lt;0.283.0&gt;]} Returns :error if unable to find the supervisors for the process","ref":"DataTracer.SupervisorUtils.html#find_supervisors/2"},{"type":"function","title":"DataTracer.SupervisorUtils.max_crashes/2","doc":"Find the max number of crashes that the given PID can have before it brings down the entire application. NOTE: Currently assumes all the crashes happen at the same time (i.e. max_seconds is ignored)","ref":"DataTracer.SupervisorUtils.html#max_crashes/2"},{"type":"function","title":"DataTracer.SupervisorUtils.restart_settings/1","doc":"Get the restart settings for a supervisor Example return value: %{max_restarts: 3, max_seconds: 5}","ref":"DataTracer.SupervisorUtils.html#restart_settings/1"}]